#!/bin/csh

set in = grid_rgb.ppm

set formatList = ( l la rgb rgba )
set typeList = ( u8 u16 f32 )
set modeList = ( ascii binary )

foreach format ($formatList)
  foreach type ($typeList)
    foreach mode ($modeList)
        
      set out = "out"
      set out = ${out}-format_${format}
      set out = ${out}-type_${type}
      set out = ${out}-mode_${mode}
      set out = ${out}.ppm
          
      ../../bin/djop \
        $in $out \
        -saveFormat $format \
        -saveType $type \
        -saveAttr ppm mode $mode
      if ($status != 0) then
        exit 1
      endif

    end
  end
end
